summaryrefslogtreecommitdiffstats
path: root/contrib/pacscripts.sh.in
diff options
context:
space:
mode:
authorKarol Blazewicz <karol.blazewicz@gmail.com>2013-06-17 23:48:38 +0200
committerAllan McRae <allan@archlinux.org>2013-06-18 04:55:35 +0200
commit85fde7038f6cf3fdfb688dfecf60dc3ca5dd03ab (patch)
treefc4c95dc1021b850e57fa5a421645e12f3850ddc /contrib/pacscripts.sh.in
parent31d51052e1f4f7502ca8c5c0bf3bc62eb150fb98 (diff)
downloadpacman-85fde7038f6cf3fdfb688dfecf60dc3ca5dd03ab.tar.gz
pacman-85fde7038f6cf3fdfb688dfecf60dc3ca5dd03ab.tar.xz
pacscripts: don't read the whole package from cache
'-q' means "Exit as soon as each specified pattern or filename has been matched." There is no reason to keep reading the whole package from the cache when the install script has already been printed to stdout. Signed-off-by: Karol Błażewicz <karol.blazewicz at gmail.com> Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'contrib/pacscripts.sh.in')
-rw-r--r--contrib/pacscripts.sh.in3
1 files changed, 2 insertions, 1 deletions
diff --git a/contrib/pacscripts.sh.in b/contrib/pacscripts.sh.in
index 84687145..368e0850 100644
--- a/contrib/pacscripts.sh.in
+++ b/contrib/pacscripts.sh.in
@@ -5,6 +5,7 @@
#
# Copyright (c) 2009 Giulio "giulivo" Fidente <giulivo.navigante@gmail.com>
# Copyright (c) 2009 Xavier Chantry <shiningxc@gmail.com>
+# Copyright (c) 2009-2013 Pacman Development Team <pacman-dev@archlinux.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -91,7 +92,7 @@ print_db() {
}
print_pkg() {
- if ! bsdtar -xOf "$1" .INSTALL 2>/dev/null; then
+ if ! bsdtar -xqOf "$1" .INSTALL 2>/dev/null; then
error "Package $1 does not include any .INSTALL script"
return 1
fi